org.eclipse.gmt.modisco.infra.common.core.logging

## Class MoDiscoLogger

- java.lang.Object
- - org.eclipse.gmt.modisco.infra.common.core.logging.MoDiscoLogger

Deprecated.
Replaced by org.eclipse.emf.facet.util.core.Logger, cf. https://bugs.eclipse.org/bugs/show_bug.cgi?id=470725

    @Deprecated
    public final class MoDiscoLogger
    extends java.lang.Object

Helper for logging using Eclipse API

Author:
  fgiquel

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static void` `log(java.lang.Throwable e, int level, java.lang.String message, Plugin plugin)` Deprecated.
`static void` `logError(java.lang.String message, Plugin plugin)` Deprecated.
`static void` `logError(java.lang.Throwable e, Plugin plugin)` Deprecated.
`static void` `logError(java.lang.Throwable e, java.lang.String message, Plugin plugin)` Deprecated.
`static void` `logInfo(java.lang.String message, Plugin plugin)` Deprecated.
`static void` `logInfo(java.lang.Throwable e, Plugin plugin)` Deprecated.
`static void` `logWarning(java.lang.String message, Plugin plugin)` Deprecated.
`static void` `logWarning(java.lang.Throwable e, Plugin plugin)` Deprecated.
`static void` `logWarning(java.lang.Throwable e, java.lang.String message, Plugin plugin)` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### logError

    public static void logError(java.lang.Throwable e,
                                Plugin plugin)

Deprecated.

#### logError

    public static void logError(java.lang.String message,
                                Plugin plugin)

Deprecated.

#### logError

    public static void logError(java.lang.Throwable e,
                                java.lang.String message,
                                Plugin plugin)

Deprecated.

#### logWarning

    public static void logWarning(java.lang.Throwable e,
                                  Plugin plugin)

Deprecated.

#### logWarning

    public static void logWarning(java.lang.String message,
                                  Plugin plugin)

Deprecated.

#### logWarning

    public static void logWarning(java.lang.Throwable e,
                                  java.lang.String message,
                                  Plugin plugin)

Deprecated.

#### logInfo

    public static void logInfo(java.lang.Throwable e,
                               Plugin plugin)

Deprecated.

#### logInfo

    public static void logInfo(java.lang.String message,
                               Plugin plugin)

Deprecated.

#### log

    public static void log(java.lang.Throwable e,
                           int level,
                           java.lang.String message,
                           Plugin plugin)

Deprecated.